OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_defs.h File Reference
`#include <cstdint>`
`#include "ojph_version.h"`

Go to the source code of this file.

## Namespaces
namespace | ojph

## Macros
#define | OJPH_INT_STRINGIFY(I)
#define | OJPH_INT_TO_STRING(I)
#define | ojph_div_ceil(a, b)
#define | ojph_max(a, b)
#define | ojph_min(a, b)
#define | ojph_unused(x)

## Typedefs
typedef uint8_t | ojph::ui8
typedef int8_t | ojph::si8
typedef uint16_t | ojph::ui16
typedef int16_t | ojph::si16
typedef uint32_t | ojph::ui32
typedef int32_t | ojph::si32
typedef uint64_t | ojph::ui64
typedef int64_t | ojph::si64

## Variables
const int | ojph::NUM_FRAC_BITS = 13

## Macro Definition Documentation

## ◆ ojph_div_ceil

#define ojph_div_ceil | ( |  | a,
|  |  | b )

Value:
(((a) + (b) - 1) / (b))

Definition at line 70 of file ojph_defs.h.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::tile::finalize_alloc(), ojph::local::param_siz::get_height(), ojph::local::param_siz::get_recon_size(), ojph::local::param_siz::get_width(), main(), ojph::local::codestream::pre_alloc(), ojph::local::tile::pre_alloc(), and ojph::yuv_in::set_img_props().

## ◆ OJPH_INT_STRINGIFY

#define OJPH_INT_STRINGIFY | ( |  | I | ) |

Value:
#I

Definition at line 60 of file ojph_defs.h.

## ◆ OJPH_INT_TO_STRING

#define OJPH_INT_TO_STRING | ( |  | I | ) |

Value:
OJPH_INT_STRINGIFY(I)
OJPH_INT_STRINGIFY
#define OJPH_INT_STRINGIFY(I)
Definition ojph_defs.h:60

Definition at line 61 of file ojph_defs.h.

Referenced by ojph::local::codestream::write_headers().

## ◆ ojph_max

#define ojph_max | ( |  | a,
|  |  | b )

Value:
(((a) > (b)) ? (a) : (b))

Definition at line 73 of file ojph_defs.h.

Referenced by ojph::mem_elastic_allocator::allocate(), ojph::yuv_out::configure(), ojph::local::tile::fill_tlm(), ojph::local::codestream::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::tile::finalize_alloc(), ojph::local::tile::flush(), ojph::local::subband::get_cb_indices(), ojph::local::param_qcd::get_largest_Kmax(), ojph::local::param_qcd::get_MAGB(), ojph::cli_interpreter::init(), main(), ojph::local::mel_encode(), ojph::local::ojph_decode_codeblock32(), ojph::local::ojph_decode_codeblock64(), ojph::local::ojph_decode_codeblock_wasm(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), ojph::yuv_in::open(), ojph::local::precinct::parse(), ojph::local::tile::parse_tile_header(), ojph::local::codestream::pre_alloc(), ojph::local::tile::pre_alloc(), ojph::local::precinct::prepare_precinct(), ojph::local::param_qcd::propose_precision(), ojph::local::subband::pull_line(), ojph::local::subband::push_line(), ojph::local::param_qcd::set_rev_quant(), and ojph::mem_outfile::write().

## ◆ ojph_min

#define ojph_min | ( |  | a,
|  |  | b )

Value:
(((a) < (b)) ? (a) : (b))

Definition at line 76 of file ojph_defs.h.

Referenced by ojph::local::bb_read_bits(), ojph::local::bb_read_chunk(), ojph::local::param_qcd::check_validity(), ojph::local::codestream::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::subband::get_cb_indices(), ojph::local::param_dfs::get_dwt_type(), ojph::local::mel_encode(), ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), ojph::local::precinct::parse(), ojph::local::codestream::pre_alloc(), ojph::local::subband::pre_alloc(), ojph::local::precinct::prepare_precinct(), ojph::local::subband::pull_line(), ojph::local::subband::push_line(), ojph::mem_infile::read(), and ojph::local::vlc_encode().

## ◆ ojph_unused

#define ojph_unused | ( |  | x | ) |

Value:
(void)(x)

Definition at line 78 of file ojph_defs.h.

Referenced by ojph::gen_cvrt_32b1c_to_16ub1c_be(), ojph::gen_cvrt_32b1c_to_16ub1c_le(), ojph::gen_cvrt_32b1c_to_8ub1c(), ojph::local::gen_irv_tx_from_cb32(), ojph::local::gen_irv_tx_to_cb32(), ojph::local::gen_rev_tx_from_cb32(), ojph::local::gen_rev_tx_from_cb64(), ojph::local::gen_rev_tx_to_cb32(), ojph::local::gen_rev_tx_to_cb64(), ojph::local::codeblock_fun::init(), ojph::raw_in::read(), ojph::outfile_base::seek(), ojph::local::skip_marker(), ojph::local::wasm_irv_tx_from_cb32(), ojph::local::wasm_irv_tx_to_cb32(), ojph::local::wasm_rev_tx_from_cb32(), ojph::local::wasm_rev_tx_from_cb64(), ojph::local::wasm_rev_tx_to_cb32(), ojph::local::wasm_rev_tx_to_cb64(), and ojph::raw_out::write().